<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE configuration
    PUBLIC "-//mybatis.org//DTD Config 3.0//EN"
    "http://mybatis.org/dtd/mybatis-3-config.dtd">

<!-- 通过这个配置文件完成mybatis与database的连接 -->
<configuration>
    <!-- 引入 database.properties 文件-->
    <properties resource="database.properties"/>

    <settings>
        <!-- log4j 2 -->
        <setting name="logImpl" value="LOG4J2"/>
        <setting name="useGeneratedKeys" value="true"/>
        <setting name="mapUnderscoreToCamelCase" value="true"/>
    </settings>

    <typeAliases>
        <package name="org.arm.courses.sf.ssm.mybatis.pojo"/>
    </typeAliases>

    <environments default="development">
        <environment id="development">
            <!-- JDBC的事务管理 -->
            <transactionManager type="JDBC"/>
            <!-- POOLED:mybatis自带的数据源，JNDI:基于tomcat的数据源 -->
            <dataSource type="POOLED">
                <property name="driver" value="${jdbc.driver}"/>
                <property name="url" value="${jdbc.url}"/>
                <property name="username" value="${jdbc.username}"/>
                <property name="password" value="${jdbc.password}"/>
            </dataSource>
        </environment>
    </environments>

    <!-- 将mapper文件加入到配置文件中 -->
    <mappers>
<!--        <mapper resource="org/arm/course/sf/ssm/mybatis/dao/user/UserMapper.xml"/>-->
        <package name="org.arm.courses.sf.ssm.mybatis.dao"/>
    </mappers>
</configuration>
